# Method DVB.dvb()->fe_status()

Method fe_status

  ``mapping`|`int` fe_status()`

Description

  Return status of a DVB object's frondend device.

Returns

  The resulting mapping contains the following fields:

  ``"power"` : `string`` | If 1 the frontend is powered up and is ready to be used.
  ``"signal"` : `string`` | If 1 the frontend detects a signal above a normal noise level
  ``"lock"` : `string`` | If 1 the frontend successfully locked to a DVB signal
  ``"carrier"` : `string`` | If 1 carrier dectected in signal
  ``"biterbi"` : `string`` | If 1 then lock at viterbi state
  ``"sync"` : `string`` | If 1 then TS sync byte detected
  ``"tuner_lock"` : `string`` | If 1 then tuner has a frequency lock